package edu.vub.at.simonsays;


//_________       _____  __                                  .____                                                               .____          ___.    
///   _____/ _____/ ____\/  |___  _  _______ _______   ____   |    |   _____    ____    ____  __ _______     ____   ____   ______ |    |   _____ \_ |__  
//\_____  \ /  _ \   __\\   __\ \/ \/ /\__  \\_  __ \_/ __ \  |    |   \__  \  /    \  / ___\|  |  \__  \   / ___\_/ __ \ /  ___/ |    |   \__  \ | __ \ 
///        (  <_> )  |   |  |  \     /  / __ \|  | \/\  ___/  |    |___ / __ \|   |  \/ /_/  >  |  // __ \_/ /_/  >  ___/ \___ \  |    |___ / __ \| \_\ \
///_______  /\____/|__|   |__|   \/\_/  (____  /__|    \___  > |_______ (____  /___|  /\___  /|____/(____  /\___  / \___  >____  > |_______ (____  /___  /
//   \/                                 \/            \/          \/    \/     \//_____/            \//_____/      \/     \/          \/    \/    \/ 
//
//Distributed and Mobile Paradigms Course 
//Lab Session 1


import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class ResultActivity extends Activity  {
	@Override
	  public void onCreate(Bundle savedInstanceState) {
	    super.onCreate(savedInstanceState);
	    setContentView(R.layout.activity_result);

	    //receive the intent sent from the Simon activity
	    Intent intent = getIntent();
	    String message = intent.getStringExtra(SimonActivity.MESSAGE);
	    int level = intent.getIntExtra(SimonActivity.LEVEL,0);
	    //Instantiate the gui
	    TextView text = (TextView) findViewById(R.id.text_result);
	    Button orderButton = (Button) findViewById(R.id.end);
	    //set the text view 
	    text.setText(message + level);
	    //register an observer for when the user clicks on the button
	    orderButton.setOnClickListener(new View.OnClickListener() {
	    @Override
	    public void onClick(View view) {
	        finish();
	    }

	    });
	  }
}
